#! /bin/sh
set -e

. ./settings.sh

TARGET="$1"
shift
SOURCE="$1"
shift

case ${SOURCE} in
*.c)
  echo ${CC} ${CPPFLAGS} ${CFLAGS} -c -o ${TARGET} ${SOURCE}
  ${CC} ${CPPFLAGS} ${CFLAGS} -c -o ${TARGET} ${SOURCE}
  ;;
*.cc)
  echo ${CXX} ${CPPFLAGS} ${CXXFLAGS} -c -o ${TARGET} ${SOURCE}
  ${CXX} ${CPPFLAGS} ${CXXFLAGS} -c -o ${TARGET} ${SOURCE}
  ;;
*)
  echo "I only know how to compile \`.c' and \`.cc' files!"
esac
